
<!doctype html>
<html lang="en">

<head>
    <title>Code coverage report for src/components/Svg/Sprite.jsx</title>
    <meta charset="utf-8" />
    <link rel="stylesheet" href="../../../prettify.css" />
    <link rel="stylesheet" href="../../../base.css" />
    <link rel="shortcut icon" type="image/x-icon" href="../../../favicon.png" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <style type='text/css'>
        .coverage-summary .sorter {
            background-image: url(../../../sort-arrow-sprite.png);
        }
    </style>
</head>
    
<body>
<div class='wrapper'>
    <div class='pad1'>
        <h1><a href="../../../index.html">All files</a> / <a href="index.html">src/components/Svg</a> Sprite.jsx</h1>
        <div class='clearfix'>
            
            <div class='fl pad1y space-right2'>
                <span class="strong">0% </span>
                <span class="quiet">Statements</span>
                <span class='fraction'>0/2</span>
            </div>
        
            
            <div class='fl pad1y space-right2'>
                <span class="strong">100% </span>
                <span class="quiet">Branches</span>
                <span class='fraction'>0/0</span>
            </div>
        
            
            <div class='fl pad1y space-right2'>
                <span class="strong">0% </span>
                <span class="quiet">Functions</span>
                <span class='fraction'>0/1</span>
            </div>
        
            
            <div class='fl pad1y space-right2'>
                <span class="strong">0% </span>
                <span class="quiet">Lines</span>
                <span class='fraction'>0/2</span>
            </div>
        
            
        </div>
        <p class="quiet">
            Press <em>n</em> or <em>j</em> to go to the next uncovered block, <em>b</em>, <em>p</em> or <em>k</em> for the previous block.
        </p>
        <template id="filterTemplate">
            <div class="quiet">
                Filter:
                <input oninput="onInput()" type="search" id="fileSearch">
            </div>
        </template>
    </div>
    <div class='status-line low'></div>
    <pre><table class="coverage">
<tr><td class="line-count quiet"><a name='L1'></a><a href='#L1'>1</a>
<a name='L2'></a><a href='#L2'>2</a>
<a name='L3'></a><a href='#L3'>3</a>
<a name='L4'></a><a href='#L4'>4</a>
<a name='L5'></a><a href='#L5'>5</a>
<a name='L6'></a><a href='#L6'>6</a>
<a name='L7'></a><a href='#L7'>7</a>
<a name='L8'></a><a href='#L8'>8</a>
<a name='L9'></a><a href='#L9'>9</a>
<a name='L10'></a><a href='#L10'>10</a>
<a name='L11'></a><a href='#L11'>11</a>
<a name='L12'></a><a href='#L12'>12</a>
<a name='L13'></a><a href='#L13'>13</a>
<a name='L14'></a><a href='#L14'>14</a>
<a name='L15'></a><a href='#L15'>15</a>
<a name='L16'></a><a href='#L16'>16</a>
<a name='L17'></a><a href='#L17'>17</a>
<a name='L18'></a><a href='#L18'>18</a>
<a name='L19'></a><a href='#L19'>19</a>
<a name='L20'></a><a href='#L20'>20</a>
<a name='L21'></a><a href='#L21'>21</a>
<a name='L22'></a><a href='#L22'>22</a>
<a name='L23'></a><a href='#L23'>23</a>
<a name='L24'></a><a href='#L24'>24</a>
<a name='L25'></a><a href='#L25'>25</a>
<a name='L26'></a><a href='#L26'>26</a>
<a name='L27'></a><a href='#L27'>27</a>
<a name='L28'></a><a href='#L28'>28</a>
<a name='L29'></a><a href='#L29'>29</a>
<a name='L30'></a><a href='#L30'>30</a>
<a name='L31'></a><a href='#L31'>31</a>
<a name='L32'></a><a href='#L32'>32</a>
<a name='L33'></a><a href='#L33'>33</a>
<a name='L34'></a><a href='#L34'>34</a>
<a name='L35'></a><a href='#L35'>35</a>
<a name='L36'></a><a href='#L36'>36</a>
<a name='L37'></a><a href='#L37'>37</a>
<a name='L38'></a><a href='#L38'>38</a>
<a name='L39'></a><a href='#L39'>39</a>
<a name='L40'></a><a href='#L40'>40</a>
<a name='L41'></a><a href='#L41'>41</a>
<a name='L42'></a><a href='#L42'>42</a>
<a name='L43'></a><a href='#L43'>43</a>
<a name='L44'></a><a href='#L44'>44</a>
<a name='L45'></a><a href='#L45'>45</a>
<a name='L46'></a><a href='#L46'>46</a>
<a name='L47'></a><a href='#L47'>47</a>
<a name='L48'></a><a href='#L48'>48</a>
<a name='L49'></a><a href='#L49'>49</a>
<a name='L50'></a><a href='#L50'>50</a>
<a name='L51'></a><a href='#L51'>51</a>
<a name='L52'></a><a href='#L52'>52</a>
<a name='L53'></a><a href='#L53'>53</a>
<a name='L54'></a><a href='#L54'>54</a>
<a name='L55'></a><a href='#L55'>55</a>
<a name='L56'></a><a href='#L56'>56</a>
<a name='L57'></a><a href='#L57'>57</a>
<a name='L58'></a><a href='#L58'>58</a>
<a name='L59'></a><a href='#L59'>59</a>
<a name='L60'></a><a href='#L60'>60</a>
<a name='L61'></a><a href='#L61'>61</a>
<a name='L62'></a><a href='#L62'>62</a>
<a name='L63'></a><a href='#L63'>63</a>
<a name='L64'></a><a href='#L64'>64</a>
<a name='L65'></a><a href='#L65'>65</a>
<a name='L66'></a><a href='#L66'>66</a>
<a name='L67'></a><a href='#L67'>67</a>
<a name='L68'></a><a href='#L68'>68</a>
<a name='L69'></a><a href='#L69'>69</a>
<a name='L70'></a><a href='#L70'>70</a>
<a name='L71'></a><a href='#L71'>71</a>
<a name='L72'></a><a href='#L72'>72</a>
<a name='L73'></a><a href='#L73'>73</a>
<a name='L74'></a><a href='#L74'>74</a>
<a name='L75'></a><a href='#L75'>75</a>
<a name='L76'></a><a href='#L76'>76</a>
<a name='L77'></a><a href='#L77'>77</a>
<a name='L78'></a><a href='#L78'>78</a>
<a name='L79'></a><a href='#L79'>79</a>
<a name='L80'></a><a href='#L80'>80</a>
<a name='L81'></a><a href='#L81'>81</a>
<a name='L82'></a><a href='#L82'>82</a>
<a name='L83'></a><a href='#L83'>83</a>
<a name='L84'></a><a href='#L84'>84</a>
<a name='L85'></a><a href='#L85'>85</a>
<a name='L86'></a><a href='#L86'>86</a>
<a name='L87'></a><a href='#L87'>87</a>
<a name='L88'></a><a href='#L88'>88</a></td><td class="line-coverage quiet"><span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span></td><td class="text"><pre class="prettyprint lang-js">const Sprite =<span class="cstat-no" title="statement not covered" ><span class="fstat-no" title="function not covered" >_=</span>&gt;(</span>
<span class="cstat-no" title="statement not covered" >&lt;svg width="192" height="34" viewBox="0 0 192 34" fill="none" xmlns="http://www.w3.org/2000/svg"&gt;</span>
    &lt;g opacity="0.77" clipPath="url(#clip0_22_192)"&gt;
        &lt;a href="https://pinterest.com/" target="blank"&gt;
            &lt;g&gt;
                &lt;rect x="159" y="1" width="32" height="32" rx="16" fill="black" fillOpacity="0.01"
                      stroke="#CC212C" strokeWidth="2"/&gt;
                &lt;rect x="170" y="11" width="10" height="12" fill="url(#pattern0)"/&gt;
            &lt;/g&gt;
        &lt;/a&gt;
        &lt;a href="https://dribbble.com" target="blank"&gt;
            &lt;g&gt;
                &lt;rect x="120" y="1" width="32" height="32" rx="16" fill="black" fillOpacity="0.01"
                      stroke="#D97AB0" strokeWidth="2"/&gt;
                &lt;rect x="130" y="11" width="12" height="12" fill="url(#pattern1)"/&gt;
            &lt;/g&gt;
        &lt;/a&gt;
        &lt;a href="https://twitter.com/" target="blank"&gt;
            &lt;g&gt;
                &lt;rect x="80" y="1" width="32" height="32" rx="16" fill="black" fillOpacity="0.01"
                      stroke="#45B0E3" strokeWidth="2"/&gt;
                &lt;rect x="91" y="11" width="9" height="12" fill="url(#pattern2)"/&gt;
            &lt;/g&gt;
        &lt;/a&gt;
        &lt;a href="https://facebook.com/" target="blank"&gt;
            &lt;g&gt;
                &lt;rect x="41" y="1" width="32" height="32" rx="16" fill="black" fillOpacity="0.01"
                      stroke="#39599F" strokeWidth="2"/&gt;
                &lt;rect x="54" y="11" width="6" height="12" fill="url(#pattern3)"/&gt;
            &lt;/g&gt;
        &lt;/a&gt;
        &lt;a href="https://uk.wikipedia.org/wiki/RSS" target="blank"&gt;
            &lt;g&gt;
                &lt;rect x="1" y="1" width="32" height="32" rx="16" fill="black" fillOpacity="0.01"
                      stroke="#F8902E" strokeWidth="2"/&gt;
                &lt;rect x="12" y="12" width="10" height="10" fill="url(#pattern4)"/&gt;
            &lt;/g&gt;
        &lt;/a&gt;
    &lt;/g&gt;
    &lt;defs&gt;
        &lt;pattern id="pattern0" patternContentUnits="objectBoundingBox" width="1" height="1"&gt;
            &lt;use href="#image0_22_192" transform="scale(0.1 0.0833333)"/&gt;
        &lt;/pattern&gt;
        &lt;pattern id="pattern1" patternContentUnits="objectBoundingBox" width="1" height="1"&gt;
            &lt;use href="#image1_22_192" transform="scale(0.0833333)"/&gt;
        &lt;/pattern&gt;
        &lt;pattern id="pattern2" patternContentUnits="objectBoundingBox" width="1" height="1"&gt;
            &lt;use href="#image2_22_192" transform="scale(0.111111 0.0833333)"/&gt;
        &lt;/pattern&gt;
        &lt;pattern id="pattern3" patternContentUnits="objectBoundingBox" width="1" height="1"&gt;
            &lt;use href="#image3_22_192" transform="scale(0.166667 0.0833333)"/&gt;
        &lt;/pattern&gt;
        &lt;pattern id="pattern4" patternContentUnits="objectBoundingBox" width="1" height="1"&gt;
            &lt;use href="#image4_22_192" transform="scale(0.1)"/&gt;
        &lt;/pattern&gt;
        &lt;clipPath id="clip0_22_192"&gt;
            &lt;rect width="192" height="34" fill="white"/&gt;
        &lt;/clipPath&gt;
        &lt;clipPath id="clip1_22_192"&gt;
            &lt;rect width="34" height="34" fill="white" transform="translate(158)"/&gt;
        &lt;/clipPath&gt;
        &lt;clipPath id="clip2_22_192"&gt;
            &lt;rect width="34" height="34" fill="white" transform="translate(119)"/&gt;
        &lt;/clipPath&gt;
        &lt;clipPath id="clip3_22_192"&gt;
            &lt;rect width="34" height="34" fill="white" transform="translate(79)"/&gt;
        &lt;/clipPath&gt;
        &lt;clipPath id="clip4_22_192"&gt;
            &lt;rect width="34" height="34" fill="white" transform="translate(40)"/&gt;
        &lt;/clipPath&gt;
        &lt;clipPath id="clip5_22_192"&gt;
            &lt;rect width="34" height="34" fill="white"/&gt;
        &lt;/clipPath&gt;
        &lt;image id="image0_22_192" width="10" height="12"
               href="data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAoAAAAMCAYAAABbayygAAAAt0lEQVQYlW2QXQ3CQBCEvzYIQAJ9JwEJOIA6AAlVQKoAHAAOigIQQEIdFAecA8gks8mRMk+7Nz97u8WjmgNMgT2wdR3ogBboJyZuwBI4A1eL1jZugLoEThbtgIvru/vGpoNGf0zUwNuEBEfX4ind9E4i638gYfI/XiZSJgxzklBjZsDKjzJILOgSQiehNi2ARZbyBAZPkqmJPwqRqLuJVLIWqtTHwWM7kSJGyBMF3fEvcmGMGgP4AiQeKmbjHB1AAAAAAElFTkSuQmCC"/&gt;
        &lt;image id="image1_22_192" width="12" height="12"
               href="data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAwAAAAMCAYAAABWdVznAAAA6UlEQVQokU2S0bEBURBED7UBbAhCIAJksDIgA379KBGQARmQASLgfb6/DUEI6tC36k7V1O7O9nT33LmD/+2VxAjYAR3QpvYGBOyB3kKTH2PgVgEF/QFTYBmSOfAahvkWoMU7MAOO+T6GSMyoiY22Aiv9TF2yriLZNZHro7AMyFhnhkUsqtA1YW8rW30YC/M4abTDvHgKg+SmAtjk4KaWsEFZC8YBuERllZoEZb63Dfqz+xTfBXAOmSr+N68uziE9FeeQRXAJ1bRX9jNxaOUFObQsPh/V9k2VxPRl0y+7q6vxHTBArf2uBvAB+tI7+oYeiyMAAAAASUVORK5CYII="/&gt;
        &lt;image id="image2_22_192" width="9" height="12"
               href="data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAkAAAAMCAYAAACwXJejAAAAdklEQVQYlY2RUQ2AMAwFD4IApAwF8IMOsICj4QAH4IBaIBhAAikZyVK2hPtZutzat63ol3MHHCBAQ4IyCITV5aSYOiVVph6ALqovwFtpTDRq7bgktpMHDrtnpRnY/gSP0eCij7maG1lEg0/hRA6n0vsdnywPIDd20xTROZ0meQAAAABJRU5ErkJggg=="/&gt;
        &lt;image id="image3_22_192" width="6" height="12"
               href="data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAYAAAAMCAYAAABBV8wuAAAAUklEQVQYlWO0jJzPwMDAYMDAwLCegYFBgQEKmKB0PbIgCLBAaQEksUQGBoYHIB0OaBIPYDr2IxsB48PswAAgCUYGBoYDSDIgPiNeHTSVYGBgAADjAwetkEKPggAAAABJRU5ErkJggg=="/&gt;
        &lt;image id="image4_22_192" width="10" height="10"
               href="data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAoAAAAKCAYAAACNMs+9AAAAqUlEQVQYlW2QUQ3CQBAFp6QCkFAMkEoABQQJOAAJKKA4wAFBAaAAHIAM/iDT3jb7wSaX6929nX2v1aebfxnqCdyAI/Aud2NN0ncLbIEXcPgnrIAlsEskGx7ANAuvwKqMngH7NMG3UbgoBC9dJ2CTxL0NhRIMYdnkSM9BFtKYOuiKzsWXQn0brAE6iaLDyzo1ufxV/bku6Cgp0hQZ8BJeJZrWiv2eggzegR+KQySg1Lx70wAAAABJRU5ErkJggg=="/&gt;
    &lt;/defs&gt;
&lt;/svg&gt;
)
&nbsp;
export default Sprite</pre></td></tr></table></pre>

                <div class='push'></div><!-- for sticky footer -->
            </div><!-- /wrapper -->
            <div class='footer quiet pad2 space-top1 center small'>
                Code coverage generated by
                <a href="https://istanbul.js.org/" target="_blank" rel="noopener noreferrer">istanbul</a>
                at 2023-01-26T13:05:39.562Z
            </div>
        <script src="../../../prettify.js"></script>
        <script>
            window.onload = function () {
                prettyPrint();
            };
        </script>
        <script src="../../../sorter.js"></script>
        <script src="../../../block-navigation.js"></script>
    </body>
</html>
    